Bug 864566 - (CVE-2012-4545) CVE-2012-4545 elinks: Improper delegation of client credentials during GSS negotiation
CVE-2012-4545 elinks: Improper delegation of client credentials during GSS ne...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121030,repor...
: Security
Depends On: 863066 891566 891692 891693 891694 891695
Blocks: 864574
  Show dependency treegraph
 
Reported: 2012-10-09 11:20 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-12 01:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch from Kamil Dudka to disable credentials delegation during GSS negotiation (822 bytes, patch)
2012-10-09 11:46 EDT, Jan Lieskovsky
no flags Details | Diff
[PATCH] http_negotiate: do not delegate GSSAPI credentials by default (3.13 KB, patch)
2012-10-23 08:20 EDT, Kamil Dudka
no flags Details | Diff
fixes supposed to go out with the security advisory (1.85 KB, patch)
2012-10-25 06:53 EDT, Kamil Dudka
no flags Details | Diff
RHEL-5 backport of the upstream security fixes (2.90 KB, patch)
2012-10-29 11:54 EDT, Kamil Dudka
ovasik: review+
Details | Diff
RHEL-6 backport of the upstream security fixes (2.91 KB, patch)
2012-10-29 11:54 EDT, Kamil Dudka
ovasik: review+
Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-10-09 11:20:09 EDT
It was found that Elinks performed client credentials delegation during the client-to-server GSS security mechanisms negotiation. A remote, rogue server could use this flaw to impersonate the Elinks client (victim) against the correct (originally intended) server, potentially leading to denial of Elinks tool services for victim client.
Comment 1 Jan Lieskovsky 2012-10-09 11:22:07 EDT
This issue affects the versions of the elinks package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the elinks package, as shipped with Fedora release of 16 and 17.
Comment 2 Jan Lieskovsky 2012-10-09 11:25:16 EDT
This issue was discovered by Marko Myllynen of Red Hat.
Comment 4 Jan Lieskovsky 2012-10-09 11:46:24 EDT
Created attachment 624175 [details]
Proposed patch from Kamil Dudka to disable credentials delegation during GSS negotiation
Comment 7 Kamil Dudka 2012-10-23 07:00:22 EDT
I am working on a new version of the patch, will provide some update shortly.
Comment 8 Kamil Dudka 2012-10-23 08:20:22 EDT
Created attachment 632061 [details]
[PATCH] http_negotiate: do not delegate GSSAPI credentials by default

I have proposed a new version of the patch upstream.
Comment 9 Kamil Dudka 2012-10-25 06:53:45 EDT
Created attachment 633270 [details]
fixes supposed to go out with the security advisory

An upstream patch allowing to configure trusted servers is going to be applied later, together with some other fixes related to the HTTP authentication.
Comment 11 Kamil Dudka 2012-10-29 11:54:03 EDT
Created attachment 635073 [details]
RHEL-5 backport of the upstream security fixes
Comment 12 Kamil Dudka 2012-10-29 11:54:43 EDT
Created attachment 635074 [details]
RHEL-6 backport of the upstream security fixes
Comment 21 Jan Lieskovsky 2013-01-03 05:01:14 EST
Created elinks tracking bugs for this issue

Affects: fedora-all [bug 891566]
Comment 25 Fedora Update System 2013-01-13 23:05:20 EST
elinks-0.12-0.32.pre5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2013-01-13 23:19:10 EST
elinks-0.12-0.29.pre5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Murray McAllister 2013-02-05 19:50:04 EST
Acknowledgements:

This issue was discovered by Marko Myllynen of Red Hat.
Comment 31 errata-xmlrpc 2013-02-11 13:13:14 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0250 https://rhn.redhat.com/errata/RHSA-2013-0250.html

Note You need to log in before you can comment on or make changes to this bug.